Bug 258561 - graphics/librsvg2-rust: update to 2.52.0
Summary: graphics/librsvg2-rust: update to 2.52.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://gitlab.gnome.org/GNOME/librsv...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-09-17 20:18 UTC by Jan Beich
Modified: 2021-09-27 17:26 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
v1 (6.19 KB, patch)
2021-09-17 20:18 UTC, Jan Beich
no flags Details | Diff
v1.1 (6.02 KB, patch)
2021-09-17 20:21 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-09-17 20:18:54 UTC
Created attachment 227966 [details]
v1
Comment 1 Jan Beich freebsd_committer 2021-09-17 20:21:14 UTC
Created attachment 227967 [details]
v1.1

Oops, restore pixbuf loader cache update.
Comment 2 Jan Beich freebsd_committer 2021-09-17 20:24:22 UTC
ENOTIME to study API/ABI changes, so let's exp-run. ;)
Comment 3 Antoine Brodin freebsd_committer 2021-09-19 07:13:33 UTC
error: patch failed: graphics/librsvg2-rust/Makefile:1
error: graphics/librsvg2-rust/Makefile: patch does not apply
Comment 4 Jan Beich freebsd_committer 2021-09-19 09:41:08 UTC
(In reply to Antoine Brodin from comment #3)
Try again now that bug 258337 has landed with ports 7059b437276a bumping PORTREVISION to match base version in the patch here.
Comment 5 Tobias C. Berner freebsd_committer 2021-09-20 06:37:12 UTC
lgtm after exp-run.
Comment 7 Jan Beich freebsd_committer 2021-09-27 17:12:52 UTC
(In reply to Antoine Brodin from comment #6)
- fuzzel is fixed by ports 881a71a2d7eb
- lavalauncher is fixed by ports b500f4e0fd56
Comment 8 Antoine Brodin freebsd_committer 2021-09-27 17:17:22 UTC
No need for another exp-run if you tested those 2 locally
Comment 9 commit-hook freebsd_committer 2021-09-27 17:25:24 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3a2feaf0b266278e059c4eac36102b55e312312d

commit 3a2feaf0b266278e059c4eac36102b55e312312d
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-09-17 20:07:24 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-27 17:21:36 +0000

    graphics/librsvg2-rust: update to 2.52.0

    Changes:        https://gitlab.gnome.org/GNOME/librsvg/-/blob/2.52.0/NEWS
    PR:             258561
    Exp-run by:     antoine
    Approved by:    tcberner

 graphics/librsvg2-rust/Makefile                   |  3 +-
 graphics/librsvg2-rust/distinfo                   |  6 +--
 graphics/librsvg2-rust/files/patch-powerpc (gone) | 62 -----------------------
 graphics/librsvg2-rust/pkg-plist                  | 17 ++++---
 4 files changed, 15 insertions(+), 73 deletions(-)